Sketchup 通过组件名称获取实体
Sketchup Get Entity By component name
为了处理元素,我使用以下定义。
ref = Sketchup.active_model.entities[0]
refdef = ref.definition
有没有一种方法可以通过名称(组件名称)而不是实体[0]等来获取实体
Sketchup.active_model.definitions
returns a DefinitionList. Its []
方法可用于访问 index
、GUID
或 name
的定义。
componame="MyLovelyComponent"
compo = Sketchup.active_model.definitions[componame]
if compo
puts "#{componame} found: doing something else..."
### do something with 'compo' definition
else
puts "#{componame} does NOT exist!"
return
end
为了处理元素,我使用以下定义。
ref = Sketchup.active_model.entities[0]
refdef = ref.definition
有没有一种方法可以通过名称(组件名称)而不是实体[0]等来获取实体
Sketchup.active_model.definitions
returns a DefinitionList. Its []
方法可用于访问 index
、GUID
或 name
的定义。
componame="MyLovelyComponent"
compo = Sketchup.active_model.definitions[componame]
if compo
puts "#{componame} found: doing something else..."
### do something with 'compo' definition
else
puts "#{componame} does NOT exist!"
return
end